#ifndef HOST_NODES_H
#define HOST_NODES_H

#include <stdint.h>

struct host_node *host_node_create(uint8_t *hwaddr);
void host_node_free(struct host_node *n);
struct host_node *host_node_add(struct hlist_head *table, uint8_t *hwaddr);
int host_node_del(struct hlist_head *table, uint8_t *hwaddr);
struct host_node *host_node_lookup(struct hlist_head *table, uint8_t *hwaddr);
void host_node_print_all(struct hlist_head *table);
void host_node_nf_list_clean(struct host_node *host);

#endif /* HOST_NODES_H */
